Subject: pine3.89 on SCO ODT 3.0 -- without mmdf

From: [email-masked] (Bill Campbell)
Date: 11 Jul 1994 01:33:44 GMT

I compiled pine3.89 this afternoon for SCO 3.0 without mmdf to use
with smail-3.1.28 and sendmail.  I used the imap-3.2 c-client that
we've been using here for several months (copied the ANSI/c-client
directory directly into the pine hierarchy).  For pine itself, I
started with the HP (hpp) files as I had done with pine-3.07, and
there were very few modifications necessary to get this working.

The main things I had to do was to change the load libraries in the
makefile and a couple of minor defines in the osdep/os-sco.h file
(vfork isn't available, and it needs sys/time.h).  I also added a
truncate() command to the os-sco.h.

This seems to be working, but I haven't thoroughly tested all the
options.  It appears to work properly both with mailboxes on remote
systems, and with local mailboxes.  It did not work on a local file in
mmdf format (but then I wasn't trying to make this work :-).

The compiled source is in:
    ftp.celestial.com:/pub/sco-ports/unix/pine-3.89.tar.gz

I would be interested in any feedback from anybody who tries this or
other people who've got pine working on SCO without mmdf.

It's been a while since I last looked at pine (version 3.07 to be
specific).  At that time, I also started with the HP files, and had to
change a call to disk_space because of different block size reporting.
I didn't find any references to this in the pine-3.89 distribution so
this change wasn't made here.

Bill
--
INTERNET:  [email-masked]   Bill Campbell; Celestial Software
UUCP:   ...!thebes!camco!bill   8545 SE 68th Street
                   camco!bill   Mercer Island, WA 98040; (206) 947-5591
SPEED COSTS MONEY -- HOW FAST DO YOU WANT TO GO?